Loading...
Searching...
No Matches
disarray_dis_reference< T, A >

## Detailed Description

template<class T, class A>
struct rheolef::disarray_dis_reference< T, A >

Definition at line 444 of file disarray.h.

## Public Types

using | size_type = typename disarray_rep<T,distributed,A>::size_type

## Public Member Functions

| disarray_dis_reference (disarray_rep< T, distributed, A > &x, size_type dis_i)
| disarray_dis_reference (const disarray_dis_reference< T, A > &r)
disarray_dis_reference< T, A > & | operator= (const disarray_dis_reference< T, A > &r)
disarray_dis_reference< T, A > & | operator= (const T &value)
template<class U>
disarray_dis_reference< T, A > & | operator+= (const U &value)
template<class U>
disarray_dis_reference< T, A > & | operator-= (const U &value)

## Protected Attributes

disarray_rep< T, distributed, A > & | _x
size_type | _dis_i

## Member Typedef Documentation

## size_type

template<class T, class A>

using size_type = typename disarray_rep<T,distributed,A>::size_type

Definition at line 446 of file disarray.h.

## Constructor & Destructor Documentation

## disarray_dis_reference() [1/2]

template<class T, class A>

disarray_dis_reference | ( | disarray_rep< T, distributed, A > & | x,
|  | size_type | dis_i )

Definition at line 448 of file disarray.h.

## disarray_dis_reference() [2/2]

template<class T, class A>

disarray_dis_reference | ( | const disarray_dis_reference< T, A > & | r | ) |

Definition at line 452 of file disarray.h.

## Member Function Documentation

## operator=() [1/2]

template<class T, class A>

disarray_dis_reference< T, A > & operator= | ( | const disarray_dis_reference< T, A > & | r | ) |

Definition at line 456 of file disarray.h.

## operator=() [2/2]

template<class T, class A>

disarray_dis_reference< T, A > & operator= | ( | const T & | value | ) |

Definition at line 461 of file disarray.h.

## operator+=()

template<class T, class A>
template<class U>

disarray_dis_reference< T, A > & operator+= | ( | const U & | value | ) |

Definition at line 468 of file disarray.h.

## operator-=()

template<class T, class A>
template<class U>

disarray_dis_reference< T, A > & operator-= | ( | const U & | value | ) |

Definition at line 475 of file disarray.h.

## Member Data Documentation

## _x

template<class T, class A>

disarray_rep<T,distributed,A>& _x

protected

Definition at line 482 of file disarray.h.

## _dis_i

template<class T, class A>

size_type _dis_i

protected

Definition at line 483 of file disarray.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/linalg/lib/disarray.h